---
title: override-a-project-daemon-s-instance-counts
product: vercel
url: /docs/rest-api/daemons/override-a-project-daemon-s-instance-counts
canonical_url: "https://vercel.com/docs/rest-api/daemons/override-a-project-daemon-s-instance-counts"
last_updated: 2026-11-09
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about override-a-project-daemon-s-instance-counts on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# Override a project daemon's instance counts

```http
PUT /v1/projects/{idOrName}/daemons/{daemonName}/instances
```

Override the instance counts of a daemon in the given regions, without changing its configuration or the overrides of other regions.

## Authentication

**bearerToken**: HTTP bearer

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `idOrName` | string | Yes | The unique project identifier or the project name |
| `daemonName` | string. pattern: `^[a-zA-Z0-9_-]+$` | Yes | The name of the daemon to scale |


## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `target` | string. enum: production, preview; default: "production" | No | The deployment target for the daemon configuration. |
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Request body

Required: No

Content-Type: `application/json`

```json
{
  "type": "object",
  "description": "Instance count overrides for the given regions, for example { \\\"iad1\\\": 1 }. Overrides of regions not in the map are kept. A `null` count removes the region's override. An empty map removes all overrides.",
  "additionalProperties": {
    "type": "integer",
    "minimum": 0,
    "maximum": 100,
    "nullable": true
  }
}
```

## Example request

### TypeScript

```typescript
const response = await fetch('https://api.vercel.com/v1/projects/idOrName/daemons/daemonName/instances?target=string&teamId=string&slug=string', {
  method: 'PUT',
  headers: {
    'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify("value"),
});

const data = await response.json();
console.log(data);
```

### Next.js

```typescript
'use server';

export async function callEndpoint() {
  const response = await fetch('https://api.vercel.com/v1/projects/idOrName/daemons/daemonName/instances?target=string&teamId=string&slug=string', {
    method: 'PUT',
    headers: {
      'Authorization': `Bearer ${process.env.VERCEL_ACCESS_TOKEN}`,
      'Content-Type': 'application/json',
    },
    body: JSON.stringify("value"),
    next: { revalidate: 3600 }
  });

  if (!response.ok) {
    throw new Error('Request failed');
  }

  return response.json();
}
```

### cURL

```bash
curl -X PUT 'https://api.vercel.com/v1/projects/idOrName/daemons/daemonName/instances?target=string&teamId=string&slug=string' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Content-Type: application/json' \
  -d "\"value\""
```

## Example response

```json
{
  "ok": "false"
}
```

## Responses

### 200: The instance count overrides are saved.

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "ok"
  ],
  "properties": {
    "ok": {
      "type": "boolean",
      "enum": [
        false,
        true
      ]
    }
  }
}
```

### 400: One of the provided values in the request body is invalid.
One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.

### 404: The daemon does not exist for this target.

### 410: No description

---

## Related

- [daemons endpoints](/docs/rest-api#daemons)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://vercel.com/openapi.json) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)


If you encounter incorrect information, can’t find what you need, need a capability Vercel doesn’t currently offer, or have any other feedback to report, please do it by following the instructions at https://vercel.com/feedback.md.
